Ubuntu

No graphical splash on VGA16fb (e.g., nvidia binary drivers), plymouth uses text plugin ("Ubuntu 10.04" in text)

Reported by nobody on 2010-02-24
456
This bug affects 87 people
Affects Status Importance Assigned to Milestone
Plymouth
New
Undecided
Unassigned
plymouth (Ubuntu)
Medium
Scott James Remnant (Canonical)
Lucid
Medium
Scott James Remnant (Canonical)

Bug Description

Plymouth uses fallback blue ASCII progress bar; no splash.
I'm using Lucid.

I'm also kind of confused about how all these splashes come together; I have xsplash, xsplash-ubuntu-artwork, plymouth, plymouth-x11, libplymouth-dev and libplymouth2 installed but not the old usplash.

affects: ubuntu → plymouth (Ubuntu)
Steve Langasek (vorlon) wrote :

Thank you for taking the time to report this bug and help to improve Ubuntu.

This is because plymouth doesn't support graphical output to a 4-bit framebuffer (VGA16). Known issue, expected to be resolved for Lucid.

Changed in plymouth (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-10.04-beta-1
status: New → Triaged
Steve Langasek (vorlon) on 2010-02-24
summary: - Plymouth uses fallback blue ASCII progress bar; no splash
+ No graphical splash on VGA16fb, plymouth uses fallback blue ASCII
+ progress bar

I am experiencing this same issue with nvidia drivers

I have a rather old sever and it has an onboard S3 Inc. Savage 4 (rev 06) this suffers from this issue ...

Personally on a server environment I'd just prefer a verbose output... I'm aware of the options for "plymouth-set-default-theme"

Same here, NVIDIA propriatary drivers.

Changed in plymouth (Ubuntu Lucid):
status: Triaged → In Progress
lunch (launch-mailinator-com) wrote :

Thanks.

philinux (philcb) wrote :

Just did a clean install alpha 3. Plymouth was displaying the logo fine.

Installed nvidia-current and I get the same blue/white progress bar which flickers a lot.

nVidia 8600GT

thehighhat (thehighhat) wrote :

blue/white bar present on server/preempt/generic kernels when using nvidia gtx 285 2gb. nvidia-current installed.

Neil Perry (nperry) wrote :

updated to latest lucid from updates this morning and yesterday. cant get passed when the white bar is all across the screen. unable to boot into recovery. same happens when I remove splash and quiet from grub line.

same behavior (blue/white bars) on amd64 with nvidia-current

Erick Brunzell (lbsolost) wrote :

Possible workaround (one out of several users reports failure):

http://ubuntuforums.org/showpost.php?p=8930634&postcount=133

I credit my original source there but since it involves editing grub2 files (one of which is executable) I included instructions to revert via CLI in case things go awry.

I think I should also mention that the same behavior exists in Fedora 12 (so it's not just a *buntu thing) and can be corrected by following the steps in the "Graphical Boot Problem" section of this:

http://www.my-guides.net/en/content/view/125/26/1/12/#plymouth

This seems to effect both nvidia and openchrome GPUs.

Steve Langasek (vorlon) wrote :

From what I've seen, modifying the grub config as you describe causes the kernel to use the EFI driver as the default framebuffer instead of VGA16. This will work for some, may fail entirely for others (i.e., those on non-EFI systems), and could result in regressions down the line due to use of this non-default framebuffer module.

wf (fischer-wo) wrote :

plymouth doesn't work jet. My graphic adapter is Nvidia 9300M. When will be fix this?

kulight (kulight) wrote :

here is the same blue/white progress bar which flickers a lot.

nvidia 8600GT

tgpraveen (tgpraveen89) wrote :

https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/538662
i was affected by ^^. and there it is about having a text logo.
NOT about gettting blue/white progress bar.
in fact till a few days ago i used to get that blue/white progress bar but nowadays i instead get that text logo.
so it might not be a duplicate of this.

Nicolas DERIVE (kalon33) wrote :

vorlon: Why is plymouth displaying better when booting from livecd (or usb) than from an installed ubuntu with nvidia driver enabled ?

Alberto Milone (albertomilone) wrote :

@Nicolas
That's because the open source driver (nouveau) works well with plymouth while the proprietary driver (nvidia) doesn't. We use the former on the livecd.

Changed in plymouth (Ubuntu Lucid):
assignee: Alberto Milone (albertomilone) → Scott James Remnant (scott)
Erick Brunzell (lbsolost) wrote :

I should probably add here that I did a fresh install on the 13th (03/13/2010 i386 daily) and splash seemed to work considerably better than I'd ever seen both on the Live Desktop and for about a dozen subsequent reboots following installation. Then I began getting dumped to tty again and I didn't see any updates that I thought should have effected this.

I'd get to a text login and I could login to a command prompt OK but absolutely couldn't startx. I'm on openchrome.

On Mon, 2010-03-15 at 13:58 +0000, Nicolas DERIVE wrote:

> vorlon: Why is plymouth displaying better when booting from livecd (or
> usb) than from an installed ubuntu with nvidia driver enabled ?
>
Because when you boot from Live CD, USB or a freshly installed Ubuntu,
you are using the Open Source "nouveau" drivers. We have the source
code to them, we are able to debug them, and we are able to fix the bugs
in them.

You made a choice to use the proprietary, binary, nvidia-glx driver.
This doesn't support many of the modern features of the Linux kernel or
X server. And since it's a binary blob we are unable to debug it, and
we wouldn't have permission to fix bugs even if we could!

So while you get 3D with the nvidia-glx driver, you get bugs we can't do
anything about - and indeed, regressions in 2D support and multihead
now!

Scott
--
Scott James Remnant
<email address hidden>

On Mon, 2010-03-15 at 14:35 +0000, Erick Brunzell wrote:

> I'd get to a text login and I could login to a command prompt OK but
> absolutely couldn't startx. I'm on openchrome.
>
Erick, as mentioned in another bug - this is bug #538214 - just press
Alt+F7 to get to X

Scott
--
Scott James Remnant
<email address hidden>

The work around kinda worked for a while but after a recent upgrade all I get is a garbled video soup when I try to access a tty console. Still boots with Plymouth OK.

I tried the nouveaux driver and it worked, when will 3D support be online for this?

On Mon, 2010-03-15 at 15:19 +0000, mabawsa wrote:

> I tried the nouveaux driver and it worked, when will 3D support be
> online for this?
>
Years, most likely

Scott
--
Scott James Remnant
<email address hidden>

Steve Langasek (vorlon) on 2010-03-15
summary: - No graphical splash on VGA16fb, plymouth uses fallback blue ASCII
- progress bar
+ No graphical splash on VGA16fb (e.g., nvidia binary drivers), plymouth
+ uses fallback ASCII progress bar

@Scott: Would it be possible to tell plymouth to use nouveau and then have X use nvidia? Or is it one or the other from the moment you boot?

Erick Brunzell (lbsolost) wrote :

I don't know if this is helpful at all or not but I've been doing iso testing today (while also dealing with a hard drive failure on a different unit) and I get no "splash" whatsoever after any of my pre-beta1 installs.

It boots fine, just no splash at all.

Just black w/text, and a bit slower to bring up the desktop.

On Mon, 2010-03-15 at 21:17 +0000, Luke Symes wrote:

> @Scott: Would it be possible to tell plymouth to use nouveau and then
> have X use nvidia? Or is it one or the other from the moment you boot?
>
It's one or the other.

nouveau is a kernel graphics driver, nvidia-glx is a userspace graphics
driver.

Scott
--
Scott James Remnant
<email address hidden>

summary: No graphical splash on VGA16fb (e.g., nvidia binary drivers), plymouth
- uses fallback ASCII progress bar
+ uses text plugin ("Ubuntu 10.04" in text)

On Tue, 2010-03-16 at 00:02 +0000, Erick Brunzell wrote:

> I don't know if this is helpful at all or not but I've been doing iso
> testing today (while also dealing with a hard drive failure on a
> different unit) and I get no "splash" whatsoever after any of my pre-
> beta1 installs.
>
> It boots fine, just no splash at all.
>
> Just black w/text, and a bit slower to bring up the desktop.
>
Slower? Sounds like it booted pretty fast if it didn't have time to
show the splash screen. Do you have a boot chart?

Scott
--
Scott James Remnant
<email address hidden>

Daniel Hahler (blueyed) wrote :

>> @Scott: Would it be possible to tell plymouth to use nouveau and then
>> have X use nvidia? Or is it one or the other from the moment you boot?
> It's one or the other.

How is this determined? Does nvidia-current get used, when installed, otherwise nouveau gets tried?

The last time I've tried nvidia-current it failed with the screen turning off (but booting fine otherwise) (bug 534634).
nouveau apparently does not get used (although I can "modprobe nouveau"), and it cannot get loaded in X, too (bug 533642).

Erick Brunzell (lbsolost) wrote :

"Erick, as mentioned in another bug - this is bug #538214 - just press
Alt+F7 to get to X "

Thanks Scott. I'm encountering that post-install with todays iso-testing build so I'll look there. Just FYI removing plymouth results in a flawless boot, of course with no quiet splash.

"Slower? Sounds like it booted pretty fast if it didn't have time to
show the splash screen. Do you have a boot chart? "

I didn't run a boot chart or actually time it but it was significantly slower.

Steve Langasek (vorlon) on 2010-03-17
Changed in plymouth (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-1 → ubuntu-10.04-beta-2
Rohan Garg (rohangarg) wrote :

yeah i can confirm this on the latest lucid build as well

Erick Brunzell (lbsolost) wrote :

FYI my slow boot problem was due to operator error. I had recently "copied" partitions to a new drive due to hard drive failure (couldn't just clone because I was moving to a smaller drive) and I have 4 additional partitions for data that I auto-mount w/fstab.

Anyway, long story short, I had the new fstab entries somewhat messed up (they only mounted at all because I use UUID's). Once I noticed that and straightened things out boot was back to normal.

Moral of the story: never rule out human error.

neojames (neojames11) wrote :

I have an nvidia 9600GT and suffer from the same problem, as does my dad who has an onboard nvidia card.

Schindler (schindlershadow) wrote :

same issue with nvidia drivers, working until i installed preparatory driver. now boots with error about nvidia drivers interfering with Plymouth... hope its fixed in final

Cory Maccarrone (darkstar6262) wrote :

I was able to fix this with the following:

 * In /etc/modprobe.d/blacklist-framebuffer.conf, comment out "blacklist vesafb" and add "blacklist vga16fb"
 * In /etc/initramfs-tools/modules, add fbcon and vesafb
 * Run initramfs-update -u

With that, I get a working Plymouth with the proprietary Nvidia drivers installed. I also added the 'vga=' line to the kernel commandline in grub, not sure that's necessary or not though.

Steve Langasek (vorlon) wrote :

None of those changes to /etc are necessary; if you want to use vesafb, all you need to do is pass vga= on the kernel commandline.

Cory Maccarrone (darkstar6262) wrote :

I tried that, it didn't work for me for some reason. I got a mode change immediately on kernel boot, but it was a corrupt screen. The /etc changes made the screen come up clear again. Not sure how much of that matters to this though. I guess my point is that using vesafb should be an acceptable option for those using the proprietary nvidia drivers.

mabawsa (mabawsa) wrote :

Well this may work with grub but I thought the grub2 the VGA= command was depreciated.

Removing the # from the GRUB_GFXMODE command in /etc/default/grub

Adding set gfxpayload=keep after the set gfxmode=${GRUB_GFXMODE} to the /etc/grub.d/00_Header

Then sudo update-grub gives a flawless graphical boot.

However the tty's are not functioning after the the last grub2 update.

Daniel Moreira (danyelmo) wrote :

The solution #34 works perfectly.

Maybe "vga=" command was deprecated but the splash doesn't works if not present. The /etc changes are necessary too.

Tty's are ok now.

Changed in plymouth (Ubuntu Lucid):
status: In Progress → Fix Committed
Guy Van Sanden (gvs) wrote :

It boots graphically now, but still in 640x480 on my machine.

Rohan Garg (rohangarg) wrote :

I still cant boot with the modifications mentioned in Comment #34 , i have a nvidia 8600MGT

Rohan Garg (rohangarg) wrote :

I meant that i still cant get the graphical boot with the above said modifications

Launchpad Janitor (janitor) wrote :
Download full text (4.6 KiB)

This bug was fixed in the package plymouth - 0.8.1-1

---------------
plymouth (0.8.1-1) lucid; urgency=low

  [ Scott James Remnant ]
  * Update to the upstream 0.8.1 release:
    - Our patches have been merged upstream, some changes due to cleaning
      them up for submission and noticing a few bugs along the way.
      Remaining changes are:
      + ubuntu-logo theme
      + ubuntu version of the text theme
      + call update-initramfs rather than plymouth-update-initrd in
        plymouth-set-default-theme
      + filter fsck progress updates from the progress bar tracker
      + watch for enter key press
      + support lbm-nouveau as an alternate driver name for nouveau to
        permit backports once Lucid has released
      + use /dev/fb0 as default framebuffer device name
      + stop animation of script plugin in idle function
    - Will become process group leader of its VT if possible (opens without
      O_NOCTTY when redirecting stdio to it), this is almost certainly
      correct keyboard-wise.
    - Deallocates VT on "plymouth quit" after switching VT back to VT1
    - Open terminal in text and details plugin, don't assume it's already
      open.
    - Calling "plymouth quit" or "plymouth deactivate" while the same
      command is already running will now block the new command until the
      old one complete, rather than returning immediately.
    - Various window fixes for script plugin
    - Script plugin updated to use the window X and Y offsets every time
    - Plymouth client tool has been updated to have commands for many cases
      in preference to the --command style.

  * Restored code to disable Plymouth's graphical plugins when an alternate
    init= is given on the kernel command-line, otherwise init=/bin/bash
    doesn't work so well when Plymouth is in the initramfs.
  * Restored crash handler that dumps boot messages to /dev/tty1.

  * Split themes out into different packages, reducing the size of the
    Plymouth package. This also means that you can remove the themes
    packages to remove the "graphical splash" part of Plymouth while keeping
    the ability to prompt for questions on the console.
  * Use the alternatives system to select the default themes. The existing
    symlink will be replaced on upgrade if you have not changed it.
  * Also use alternatives to select the text theme.
  * Restore the upstream text theme, renaming ours to "ubuntu-text".
  * Fallback to the built-in details theme (boot messages on console, but
    with the ability to prompt for questions) if no theme package is
    installed.
  (LP: #507238)

    Unfortunately these changes mean that if you've selected a custom
    theme, you will need to install that package and select it again.
    Sorry about that.

  * Include the 16-color VGA frame-buffer renderer. LP: #526892.

  * Fix text, ubuntu-text and details themes to restore the console to text
    mode when adding text displays.

  * debian/rules:
    - Set default tty for boot and shutdown with configure arguments
    - Set default background color to the Ubuntu Aubergine, this provides
      some consistency with other default themes.
  * debian/plymouth.upstart, d...

Read more...

Changed in plymouth (Ubuntu Lucid):
status: Fix Committed → Fix Released
AllenS (thehousecat) wrote :

I've just picked up the latest update and I just get plain black and white text when booting. Previously I got slightly garbled colored text, not bitmaps.

I do get some graphics on shutdown - a graphical Ubuntu logo but it looks wrong (could it be 8bit color?)

I use encrypted LVM. I get a plain text prompt asking for the password. Every time I type a character a duplicate new line gets printed - very messy looking.

I use the nVidia driver which Ubuntu recommends when you log in the first time after installation.

I reinstalled anything called plymouth in the package manager.

I haven't manually changed any files.

Steve Langasek (vorlon) wrote :

> I've just picked up the latest update and I just get plain black and white text when booting.

That's bug #549247, already fixed in a newer version.

mabawsa (mabawsa) wrote :

I have plymouth 0.8.1-1 I booted a couple of times and nothing has changed. So for me this has not been fixed, sorry. I have an 8400M nvidia with the propriety driver. Something did actually change. Before I got Ubuntu in and white dots below it in what looked like courier font, now I just get a plain text boot and shutdown. Still the boot loader logos are bling so I can live without it.

Wolter Hellmund (wolterh) wrote :

Yeah I also get what allens gets, I think. Like a purple 8-bit ubuntu logo, old-style, with a small star that blinks once to the mid bottom left, and then the login screen.

I do get the nice login screen though.

Simon Osborne (flibblesan) wrote :

I thought it was just me that started getting the old style Ubuntu logo on boot and shutdown.. I was worried for a moment.

mabawsa (mabawsa) wrote :

OK I installed the plymout-theme-ubuntu-logo and the plymouth-theme-ubuntu-text packages and I am back to square one, i.e., Ubuntu text boot with four dots underneath text boot. This bug hasn't been fixed.

I am using an NVIDIA GTX 260 and the splash is now working for startup and shutdown (purple with Ubuntu logo and five dots that get coloured orange), however the splash looks as if it has a very low colour depth (looks like 8-bit colour). Also the startup splash comes in very late, just before login screen (before that the screen is black).

AllenS (thehousecat) wrote :

"That's bug #549247, already fixed in a newer version."

Sorry, that doesn't sound anything like what I get.

Jacopo Moronato (jmoronat) wrote :

It is a 16 color render. With proprietary drivers installed, this is the default splash: if you want a better one, you have to use open source drivers, or try this: http://www.webupd8.org/2010/03/how-to-get-plymouth-working-with-nvidia.html (not guaranteed to work, see comments).

AllenS (thehousecat) wrote :

Jacopo Moronato - I don't mind the 16 color too much, though it doesn't look anywhere near as good as the Karmic splash with the proprietary drivers. However, I only get the graphics on shutdown. The boot screen is just black and white text (it was misaligned color text before I updated to plymouth 0.8.1-1)

BTW That link didn't work when I tried - Blogger says 'Sorry, the page you were looking for in the blog Web Upd8 does not exist."

@allens: the link won't work in your email client's ping of Jacopo's message because the URI parser stopped reading the link halfway. Click on the bug link to go to the page with the bug on Launchpad - the link will work fine here. Alternatively, try this very short link: http://goo.gl/EOV2

Cory Maccarrone (darkstar6262) wrote :

I haven't tried this fix yet, but I'm really confused as to why vga16fb is in use at all. Are there really systems with video cards that can't handle vesafb? Seems to me that Ubuntu could use vesafb for nvidia card users when the proprietary drivers are in use and you'd still get the good experience you get with the open-source version. I don't get why adding a special renderer for vga16fb is a better solution than just using vesafb.

Cory Maccarrone (darkstar6262) wrote :

OK, I just tested it now. I get similar results to others, it's graphical now, but the colors look horrible, much worse than when I was using vesafb.

So, I'm going back to the fix I posted in #34, because that worked as expected.

now i get the raphical plymouth with the bad colors and i suspect bad
reolution becouse the logo is huge.

there is also text messages between the grub and plymouth comming up

also when plymouth do comes up it just for a second or less before X
comes in.

hope it helps

Guy Van Sanden (gvs) wrote :

Todays update changed something to the resolution or layout because the input box for my HD password is partly of the screen...

Guy Van Sanden (gvs) wrote :

BTW, it's not showing the splash on shutdown, only a purple bar on the lower half of the screen and the rest is black.

On Sat, Mar 27, 2010 at 08:08:28AM -0000, allens wrote:
> "That's bug #549247, already fixed in a newer version."

> Sorry, that doesn't sound anything like what I get.

Have you tried upgrading?

If you're getting text at boot time but a splash screen at shutdown, that
sounds like *exactly* the same bug.

On Sat, Mar 27, 2010 at 05:07:50PM -0000, Cory Maccarrone wrote:
> I haven't tried this fix yet, but I'm really confused as to why vga16fb
> is in use at all. Are there really systems with video cards that can't
> handle vesafb? Seems to me that Ubuntu could use vesafb for nvidia card
> users when the proprietary drivers are in use and you'd still get the
> good experience you get with the open-source version. I don't get why
> adding a special renderer for vga16fb is a better solution than just
> using vesafb.

vesafb is known to have adverse interactions with suspend and/or hibernate
on some systems; and we have no good way to selectively enable it *only* when
the nvidia binary driver is enabled. (Even if a good method to selectively
enable it was identified now, it would be too late to regression-test such a
change for the 10.04 release.)

The vga16fb module, OTOH, is always safe to load, since if a better
framebuffer is available, it won't be used.

On Sat, Mar 27, 2010 at 06:52:59PM -0000, kulight wrote:
> now i get the raphical plymouth with the bad colors and i suspect bad
> reolution becouse the logo is huge.

Yes, you get VGA resolution, which is 640x480. The committment here was
that we would have a graphical splash with vga16fb, not that it would look
as good as the splash on the other framebuffers. The latter is not
possible.

> there is also text messages between the grub and plymouth comming up

What are these text messages?

> also when plymouth do comes up it just for a second or less before X
> comes in.

That's the separate bug #540801.

On Sat, Mar 27, 2010 at 04:36:48AM -0000, mabawsa wrote:
> OK I installed the plymout-theme-ubuntu-logo and the plymouth-theme-
> ubuntu-text packages and I am back to square one, i.e., Ubuntu text boot
> with four dots underneath text boot. This bug hasn't been fixed.

No, this bug definitely has been fixed. If you're still seeing problems,
please file a separate bug report so we can analyze what's happening on your
system when this works elsewhere.

mabawsa (mabawsa) wrote :

OK how should I report this bug as I am still experiencing the *exactly* the same symptoms with the new plymouth 8.1-1ubuntu1, i.e., "No graphical splash on VGA16fb (e.g., nvidia binary drivers), Plymouth uses text plug-in ("Ubuntu 10.04" in text)"

When the grub2 framebuffer is enabled I get graphical boot but the terminals are not usable as they look like they are off screen, I mean the tty1 is right at the bottom.

When I use vga16fb I get a mixture between a text only boot and the text plug-in. In addition mountall complains on startup that it could no connect to plymouth. Whats this all about?

AllenS (thehousecat) wrote :

Hi Steve. Thanks, but bug #549247 description is "Notices/Warnings during upgrade of plymouth (initramfs-hooks)".

I had no problem 'during upgrade of plymouth' - my problem is at boot time. I don't get any Notices/Warnings. Nor does this bug mention a splash screen at shutdown. OK, to a developer maybe this means the same thing so forgive me for not thinking this is the same bug I've got!

However, the good new is 0.8.1-1ubuntu1 fixes the 'no graphical splash' bug.I now get graphical boot and shutdown. Most importantly LVM encryption password entry at boot works properly. So thanks very much for fixing.

(The splash is 16 bit color and some plain text appears at shutdown but that's fine).

Steve Langasek (vorlon) wrote :

On Sun, Mar 28, 2010 at 12:02:40AM -0000, mabawsa wrote:
> OK how should I report this bug

By running 'ubuntu-bug plymouth' from the affected system. Please see
<https://help.ubuntu.com/community/ReportingBugs>.

Steve Langasek (vorlon) wrote :

> I had no problem 'during upgrade of plymouth'

You did, you just didn't notice it.

I reported this bug #549977 with ubuntu-bug plymouth

Steve Langasek (vorlon) wrote :

Guy,

> Todays update changed something to the resolution or layout because the
> input box for my HD password is partly of the screen...

Does the splash screen render correctly except for this?

The problem here is that some widescreen displays, when asked to render VGA
(640x480), do so by rendering the full *width* of the display, at the
expense of not having the full *height* rendered on the screen. I think by
all rights this should be considered a BIOS bug (and you may have a setting
in your BIOS that lets you adjust this), but I tried to take this into
account when fixing bug #540685. Had this not been the case, the entire
input box (and part of the passphrase prompt) would have been off the bottom
of your screen...

> BTW, it's not showing the splash on shutdown, only a purple bar on the
> lower half of the screen and the rest is black.

I don't know why this would be when it's working at boot. Please file a new
bug report using 'ubuntu-bug plymouth' about this issue.

Guy Van Sanden (gvs) wrote :

Steve,

> The problem here is that some widescreen displays, when asked to render VGA
> (640x480), do so by rendering the full *width* of the display, at the
> expense of not having the full *height* rendered on the screen. I think by
> all rights this should be considered a BIOS bug (and you may have a setting
> in your BIOS that lets you adjust this), but I tried to take this into
> account when fixing bug #540685. Had this not been the case, the entire
> input box (and part of the passphrase prompt) would have been off the bottom
> of your screen...

The strange thing is that this new issue was only introduced after the last upgrade, it showed fine before that.

> I don't know why this would be when it's working at boot. Please file a new
> bug report using 'ubuntu-bug plymouth' about this issue.

Filed it as bug #550061

mabawsa (mabawsa) on 2010-03-30
Changed in plymouth (Ubuntu Lucid):
status: Fix Released → Incomplete
status: Incomplete → Fix Released
Jason Dolan (jason.t.dolan) wrote :

Should another bug/enhancement request be made about the issue of a low color, low resolution boot experience when using Nvidia proprietary drivers?

Out of curiosity, what technology was used in Ubuntu 9.10 that allowed the high resolution, high color boot splash when using Nvidia drivers? And is there any reason why we can't apply that same method to Ubuntu 10.4?

Also, I wanted to note that the fix mentioned here:
http://www.webupd8.org/2010/03/how-to-get-plymouth-working-with-nvidia.html

worked for me without any noticeable ill effects.

Rohan Garg (rohangarg) wrote :

Ok,ive got another fix for people with nvidia cards but its highly unstable,the fix is to use the unstable xorg-edgers repo and install the new nouveau drivers with 3D support,these work for me ONLY! im attaching the output of lspci for people who have the same cards,the repo is here : https://launchpad.net/~xorg-edgers/+archive/ppa
This is a highly unstable driver,so please do not install it if you cant fix it!

Paolo Sammicheli (xdatap1) wrote :

@Jason: We opened another bug for the bad looking issue and for being linked by ISO Tracker's reports:

https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/551013

Go subscribe it if you are affected.

Hy!

I did something simlar that your suggested link describes, but that
broke my tty's :(
See Bug #550104!

On 03/30/2010 02:44 PM, Jason Dolan wrote:
> Should another bug/enhancement request be made about the issue of a low
> color, low resolution boot experience when using Nvidia proprietary
> drivers?
>
> Out of curiosity, what technology was used in Ubuntu 9.10 that allowed
> the high resolution, high color boot splash when using Nvidia drivers?
> And is there any reason why we can't apply that same method to Ubuntu
> 10.4?
>
> Also, I wanted to note that the fix mentioned here:
> http://www.webupd8.org/2010/03/how-to-get-plymouth-working-with-nvidia.html
>
> worked for me without any noticeable ill effects.
>
>

I tried this steps, and it isn't working for me:

"Step 1: we must edit the /etc/default/grub file.
Open a terminal and paste this:
         sudo gedit /etc/default/grub
On line #18, uncomment (uncomment = remove the "#" in front of the line( "#GRUB_GFXMODE=640x480" and change the resolution to whatever you want. Here is how it should look:
         GRUB_GFXMODE=1024x768
Step 2: edit the /etc/grub.d/00_header file.
         sudo gedit /etc/grub.d/00_header
And find the following line: "gfxmode=${GRUB_GFXMODE}" (it's line 103 on my computer) and under it, paste this:
         set gfxpayload=keep
Step 3: update Grub 2:
To update the GRUB, simply run the following command:
        sudo update-grub
Once you complete the above steps, restart the computer and you should see the nice Plymouth screen like in the screenshot in the beginning of the post."

I'm still seeing blue progress bars instead of a nice plymouth splash... If I revert the changes, do you guys think plymouth should work? Or what can I do to fix that?

Disregard my post (#73). I don't know why, but i didn't have any plymouth theme installed (i never touched plymouth packages), I can confirm this bug is fixed because when I installed the ubuntu logo theme it worked, altough with a slightly bigger screen resolution. I don't care about that as long as it works.

Although plymouth already works on my computer, there's a message before plymouth and after grub, I don't know if it's part of this bug or if it has another cause. It stays in the screen for a longer time than plymouth. I attached a picture of this message as proof, it says:

[Linux-bzImage, setup=0x3400, size=0x3d6700]
[Initrd, addr=0x37824000, size=0x7cbed8]

Martin (martin-klose) wrote :

Same problem. I upgraded from 9.10 and keep getting splash screens in wrong video-mode with what I think is a progress bar. I can't get the terminal output but the machine boots alright.

@Martin: check in synaptic if you have the ubuntu logo plymouth theme installed.

DrFaNaTiC (drfanatic) wrote :

I have this Bug on my NVIDIA GeForce 6200.

01:00.0 VGA compatible controller: nVidia Corporation NV44A [GeForce 6200] (rev a1)

I wars able to fix this Bug very easy.

sudo su
echo FRAMEBUFFER=y > /etc/initramfs-tools/conf.d/splash
update-initramfs -u
exit

This Way have also Fix this same issuse on my Intel 945GM Chip.

Benjamin Xiao (ben-r-xiao) wrote :

I have the same issue as mabawsa where the splash screen and tty consoles are off screen sometimes. You can only see the top of the console on the bottom of the screen.

This offscreen issue occurs randomly. Sometimes the logo displays fine in the center and other times it displays off center.

@ Guy Van Sanden
That's the same issue as the offscreen bug, that purple bar is actually the splash screen displayed off screen on the bottom.

Guy Van Sanden (gvs) wrote :

@Benjamin

Ok, mine is consitently in the wrong place then, it looks the same every time.

Rohan Garg (rohangarg) wrote :

Hey
I just found this link at softpedia : http://news.softpedia.com/news/How-to-Fix-the-Big-and-Ugly-Plymouth-Logo-in-Ubuntu-10-04-140810.shtml
I can confirm that this works,but the logo is cut off at the sides sometimes

Yotam Benshalom (benshalom) wrote :

This fix might be the source of a serious problem, described in bug #522328. See also the discussion in nvidia linux forum: http://www.nvnews.net/vbulletin/showthread.php?p=2255743#post2255743

Basically, loading vga16fb blocks the nvidia proprietary module from loading on some systems.

Tommy_CZ (t-kijas) wrote :

DrFaNaTic: easy you say? For beginner? Not so sure.
Yotam Benshalom: It may be source of a problems but i didn't see any computer with proprietary drivers (fglrx or nvidia) that could show normal plymouth splash, just text-one. So may ubuntu should emitt some update which resolves it?

Hanmac (hanmac) wrote :

it also Affected Natty with fglrx.

affects: plymouth → plymouth-usplash
affects: plymouth-usplash → plymouth
tags: added: natty
Tommy_CZ (t-kijas) wrote :

And also affects Natty with NVIDIA current drivers.

Mark Fraser (launchpad-mfraz) wrote :

I upgraded a netbook with Intel 945GMA graphics today to 11.04 and got the text splash as reported in this bug which was working in 10.10, I also reported it as bug #770371. Going to try what was suggested in comment #79.

Mark Fraser (launchpad-mfraz) wrote :

No, still not getting a graphical splash screen, but it is working at shutdown.

Tommy_CZ (t-kijas) wrote :

Same issuue as Mark Fraser, no nice plymouth with NVIDIA at LOGIN, LOGOUT works.
with fglrx and kernel 2.6.38-8 it works just for LOGOUT, with 2.6.35-something... it works in both LOGIN and LOGOUT.

Hanmac (hanmac) wrote :

with kernel 3.0.* and newest fglrx the nice plymouth is back

Tommy_CZ (t-kijas) wrote :

It is not in my laptops and PCs, with fglrx, with NVIDIA-current the plymouth doesn't shows.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints